import 'dart:convert';
import 'dart:io';

extension FileWriter on File {
  append(String string, {Encoding encoding}) async {
    final w = this.openWrite(mode: FileMode.append, encoding: encoding);
    w.write(string);

    await w.flush();
    return await w.close();
  }

  appendStream(Stream stream, {Encoding encoding}) async {
    final w = this.openWrite(encoding: encoding, mode: FileMode.append);
    await stream.pipe(w);
  }
}
